Subject: RE: bug#15117: 24.3.50; doc of `(forward|backward)-*': state return value

From: Drew Adams <[email-masked]>
Date: Tue, 11 Feb 2014 11:13:47 -0800 (PST)

> > IMO these functions should return point if successful, i.e. if
> > point was moved, but nil otherwise, for example at EOB.
> 
> Why point?  E.g., forward-to-indentation could returns the column
> where it ended up, forward-same-syntax could return the syntax
> class, forward-visible-line could return the number of screen lines
> traversed, etc.
> 
> Once again, the potentially useful value might well be different for
> each function, and needs to be considered separately for each.
> There's no "one fits all" here.

I agree 100%, and said the same thing earlier.  Point is likely a
reasonable value for some functions, for which there is no more
useful value.  But we should think carefully about each function,
especially in terms of its common use case(s).